Bug 69751 - Installing non-RPM file gives cryptic error
Installing non-RPM file gives cryptic error
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-24 18:46 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-24 18:46:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-24 18:46:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
Sometimes HTML files are downloaded in place of RPMs. When you try to install 
these HTML files via rpm -ivh (on the command line), the command fails with a 
cryptic error "read manifest failed: Success". Please change this error 
message to say something more intuitive. Example:

"You have tried to install an invalid RPM file. Please check that your file is 
a valid RPM and try again."

This will prevent confusion of those who don't realize that they have actually 
downloaded an HTML file instead of an RPM file.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Download a file with the RPM extension that is actually an HTML file. (This 
usually happens unknowingly; hence the confusion.)
2. Install using rpm -i or rpm -ivh from the command line.

Actual Results:  Error: read manifest failed: Success

Expected Results:  The RPM command should have explained the real problem -- 
that the file is not a valid RPM.

Additional info:
Comment 1 Jeff Johnson 2002-08-05 16:12:05 EDT
Fixed (i.e. "not an rpm package (or package manifest)")
in rpm-4.1-0.71. The Success was fixed previously.

Note You need to log in before you can comment on or make changes to this bug.